Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Interface StackConsumer

All Known Subinterfaces:
  PopInstruction

All Known Implementing Classes:
  AASTORE, ANEWARRAY, ARETURN, ArithmeticInstruction, ASTORE, BASTORE, CASTORE, CHECKCAST, ConversionInstruction, D2F, D2I, D2L, DADD, DASTORE, DCMPG, DCMPL, DDIV, DMUL, DNEG, DREM, DRETURN, DSTORE, DSUB, F2D, F2I, F2L, FADD, FASTORE, FCMPG, FCMPL, FDIV, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IAND, IASTORE, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IfInstruction, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IMUL, INEG, INSTANCEOF, InvokeInstruction, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, L2D, L2F, L2I, LADD, LAND, LASTORE, LCMP, LDIV, LMUL, LNEG, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, POP, POP2, PUTFIELD, PUTSTATIC, RETURN, ReturnInstruction, SASTORE, StoreInstruction, SWAP

    public interface StackConsumer

Denote an instruction that may consume a value from the stack.

Version:
  $Id: StackConsumer.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`int` | `consumeStack(ConstantPoolGen cpg)`

Method Detail

### consumeStack

    int consumeStack(ConstantPoolGen cpg)

  Returns:
    how many words are consumed from stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.